refreshSubscriptionPermissions
curl --request POST \
--url https://connvo-dev.convex.cloud/api/run/auth/permissions/refreshSubscriptionPermissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"args": {
"subscriptions": [
{
"resourceType": "meetingNotes",
"resourceId": "me_a12bc34def567890",
"permissions": [
"read",
"write"
],
"lastValidated": 1716488400000
},
{
"resourceType": "transcripts",
"resourceId": "me_a12bc34def567890",
"permissions": [
"read"
],
"lastValidated": 1716485000000
}
]
}
}
'import requests
url = "https://connvo-dev.convex.cloud/api/run/auth/permissions/refreshSubscriptionPermissions"
payload = { "args": { "subscriptions": [
{
"resourceType": "meetingNotes",
"resourceId": "me_a12bc34def567890",
"permissions": ["read", "write"],
"lastValidated": 1716488400000
},
{
"resourceType": "transcripts",
"resourceId": "me_a12bc34def567890",
"permissions": ["read"],
"lastValidated": 1716485000000
}
] } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
args: {
subscriptions: [
{
resourceType: 'meetingNotes',
resourceId: 'me_a12bc34def567890',
permissions: ['read', 'write'],
lastValidated: 1716488400000
},
{
resourceType: 'transcripts',
resourceId: 'me_a12bc34def567890',
permissions: ['read'],
lastValidated: 1716485000000
}
]
}
})
};
fetch('https://connvo-dev.convex.cloud/api/run/auth/permissions/refreshSubscriptionPermissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"errorMessage": "",
"errorData": {},
"value": [
{
"resourceType": "meetingNotes",
"resourceId": "me_a12bc34def567890",
"valid": true,
"updatedPermissions": [
"read",
"write"
]
},
{
"resourceType": "transcripts",
"resourceId": "me_a12bc34def567890",
"valid": true,
"updatedPermissions": [
"read",
"export",
"manage"
]
}
]
}{}{}System
refreshSubscriptionPermissions
Calls a query at the path auth/permissions.js:refreshSubscriptionPermissions
POST
/
api
/
run
/
auth
/
permissions
/
refreshSubscriptionPermissions
refreshSubscriptionPermissions
Authorizations
Standard user authentication token issued via WorkOS. Provide as Authorization: Bearer <user-token>.
Body
application/json
Show child attributes
Show child attributes
⌘I